Bug 756235 - XML and HTML tags to be checked for completeness
XML and HTML tags to be checked for completeness
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Usability (Show other bugs)
1.4
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On:
Blocks: 756230
  Show dependency treegraph
 
Reported: 2011-11-22 20:12 EST by Alex Eng
Modified: 2012-04-23 00:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-23 00:33:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Eng 2011-11-22 20:12:56 EST
As a translator I want the XML and HTML tags to be checked for completeness so that I do not face any errors which compiling documents with files containing these tags.


This is a common error that is faced by translators if they are translating long strings with multiple tags.

* Validation Checks are only Warnings (Advisory)
* How to display the error messages - simple validation checks. 

The users would be give an option to enable/disable the test via a checkbok somewhere within the top part of the editor screen.
The warning for any incomplete tag can be displayed in a collapsable tab (similar to the one with the list of users)
Comment 2 David Mason 2012-01-05 21:22:10 EST
The following validations are not present, but would be very useful in preventing broken XML or HTML:
 - validation does not check for added tags
 - validation does not check whether the order of tags is different

Translators may need to add tags and change the order of tags, in these cases it would be more useful to show a warning and let the translator ignore it as they know the change was made on purpose, rather than have no warning when a change is accidentally made.


The following are different from the above description, but seem reasonable: 
 - enable/disable checkbox is on the lower right (above comment specifies top).
 - tab is collapsible, but does not stay collapsed for long if there are warnings to display.
Comment 4 David Mason 2012-01-19 02:38:23 EST
 - updated to use localisable message strings
 - updated tag order algorithm to detect single moved tag


See:
https://github.com/zanata/zanata/commit/f8eaaa0666357c6fe284d6cf4618650ec3513fc0
https://github.com/zanata/zanata/compare/e69ee68374a74eac8535980bc7dd833ba7795b83...030653ed8063238147f95b7219d0838f75150194

Note You need to log in before you can comment on or make changes to this bug.